From 2d5228bf5a759a600a8cff5e00ed852007d1d705 Mon Sep 17 00:00:00 2001
From: Jacob Michalskie <hel@lcp.world>
Date: Nov 19 2022 04:00:50 +0000
Subject: [PATCH 6/7] Fix up tests


---

diff --git a/fedocal/__init__.py b/fedocal/__init__.py
index bcf1e75..0f33414 100644
--- a/fedocal/__init__.py
+++ b/fedocal/__init__.py
@@ -276,6 +276,7 @@ def set_session():
         flask.g.fas_user = None
 
 
+
 # Local function
 def is_admin():
     """ Return whether the user is admin for this application or not. """
@@ -1203,7 +1204,7 @@ def delete_meeting(meeting_id):
                 SESSION.rollback()
                 LOG.debug('Error in delete_meeting - 2')
                 LOG.exception(err)
-                flask.flash(gettext('Could not delete this meeting.'), 'error')
+                flask.flash(gettext('Could not delete this meeting.'), 'errors')
 
         year = month = day = None
         if date_limit:
@@ -1743,7 +1744,7 @@ def upload_calendar(calendar_name):
                       'file: "%s"',
                       flask.g.fas_user.username, ical_file.filename)
             LOG.exception(err)
-            flask.flash("%s" % err, 'error')
+            flask.flash("%s" % err, 'errors')
             return flask.render_template(
                 'upload_calendar.html', form=form, calendar=calendarobj)
 
@@ -1752,7 +1753,7 @@ def upload_calendar(calendar_name):
                 SESSION, calendarobj, ical_file.read(), flask.g.fas_user, is_admin())
             flask.flash(gettext('Calendar uploaded'))
         except FedocalException as err:  # pragma: no cover
-            flask.flash("%s" % err, 'error')
+            flask.flash("%s" % err, 'errors')
             return flask.render_template(
                 'upload_calendar.html', form=form, calendar=calendarobj)
         except SQLAlchemyError as err:  # pragma: no cover
diff --git a/tests/test_fedocallib.py b/tests/test_fedocallib.py
index 0cfe7d6..d272d25 100644
--- a/tests/test_fedocallib.py
+++ b/tests/test_fedocallib.py
@@ -782,16 +782,16 @@ class Fedocallibtests(Modeltests):
             today.day, today.month, today.year)
         # Check today css class
         self.assertTrue(
-            'class="%s today">%s' % (
+            'class="%s primary text-right">%s' % (
                 today.strftime('%a').lower(),
                 today.day) in output)
         # Check the month
         self.assertTrue(
-            'class="month"> %s </th>' % (
+            '><div class="d-flex align-items-center justify-content-between text-center"> <span class="mx-auto">%s</span> </div></th>' % (
                 today.strftime('%B %Y')) in output)
         # Check the current_week css class
         self.assertNotEqual(
-            re.match('<tr class="current_week">.*'
+            re.match('<tr class="bg-light">.*'
                      '<td>%s</td>' % (today.day), output), [])
 
     def test_get_week_day_index(self):
diff --git a/tests/test_fedora_calendar.py b/tests/test_fedora_calendar.py
index aa10e5c..fc626cd 100644
--- a/tests/test_fedora_calendar.py
+++ b/tests/test_fedora_calendar.py
@@ -50,10 +50,10 @@ class FedocalCalendartests(Modeltests):
         cal = FedocalCalendar(2013, 1, 6)
         self.assertEqual(
             cal.formatday(6, 1),
-            '<td class="tue">6</td>')
+            '<td class="tue text-right">6</td>')
         self.assertEqual(
             cal.formatday(7, 3),
-            '<td class="thu">7</td>')
+            '<td class="thu text-right">7</td>')
 
     def test_formatweek(self):
         """ Test the formatweek function. """
@@ -62,16 +62,16 @@ class FedocalCalendartests(Modeltests):
         output = cal.formatweek([(1, 1), (2, 2)]).replace(' today', '')
         self.assertEqual(
             output,
-            '<tr><td class="tue">1</td><td class="wed">2</td></tr>')
+            '<tr><td class="tue text-right">1</td><td class="wed text-right">2</td></tr>')
         self.assertEqual(
             cal.formatweek([(0, 1), (1, 2)]).replace(' today', ''),
-            '<tr><td class="noday">&nbsp;</td><td class="wed">1</td></tr>')
+            '<tr><td>&nbsp;</td><td class="wed text-right">1</td></tr>')
         output = cal.formatweek(
             [(1, 1), (2, 2)], True).replace(' today', '')
         self.assertEqual(
             output,
-            '<tr class="current_week"><td class="tue">1</td><td '
-            'class="wed">2</td></tr>')
+            '<tr class="bg-light"><td class="tue text-right">1</td><td '
+            'class="wed text-right">2</td></tr>')
 
     def test_formatmonthname(self):
         """ Test the formatmonthname function. """
@@ -79,42 +79,44 @@ class FedocalCalendartests(Modeltests):
         cal = FedocalCalendar(today.year, today.month, today.day)
         self.assertEqual(
             cal.formatmonthname(2012, 4),
-            '<tr><th colspan="7" class="month"> April 2012 </th></tr>')
+            '<tr><th colspan="7"><div class="d-flex align-items-center justify-content-between text-center"> <span class="mx-auto">April 2012</span> </div></th></tr>')
         self.assertEqual(
             cal.formatmonthname(2012, 4, False),
-            '<tr><th colspan="7" class="month"> April </th></tr>')
+            '<tr><th colspan="7"><div class="d-flex align-items-center justify-content-between text-center"> <span class="mx-auto">April</span> </div></th></tr>')
 
     def test_formatmonth(self):
         """ Test the formatmonth function. """
         cal = FedocalCalendar(2012, 1, 10)
 
         expcal = [
-            '<table class="month">',
-            '<tr><th colspan="7" class="month"> January 2012 </th></tr>',
-            '<tr><td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="sun">1</td></tr>',
-            '<tr><td class="mon">2</td><td class="tue">3</td>'
-            '<td class="wed">4</td><td class="thu">5</td>'
-            '<td class="fri">6</td><td class="sat">7</td>'
-            '<td class="sun">8</td></tr>',
-            '<tr class="current_week"><td class="mon">9</td>'
-            '<td class="tue">10</td><td class="wed">11</td>'
-            '<td class="thu">12</td><td class="fri">13</td>'
-            '<td class="sat">14</td><td class="sun">15</td></tr>',
-            '<tr><td class="mon">16</td><td class="tue">17</td>'
-            '<td class="wed">18</td><td class="thu">19</td>'
-            '<td class="fri">20</td><td class="sat">21</td>'
-            '<td class="sun">22</td></tr>',
-            '<tr><td class="mon">23</td><td class="tue">24</td>'
-            '<td class="wed">25</td><td class="thu">26</td>'
-            '<td class="fri">27</td><td class="sat">28</td>'
-            '<td class="sun">29</td></tr>',
-            '<tr><td class="mon">30</td><td class="tue">31</td>'
-            '<td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="noday">&nbsp;</td></tr>',
+            '<table class="table table-sm month">',
+            '<tr><th colspan="7"><div class="d-flex align-items-center '
+            'justify-content-between text-center"> <span class="mx-auto">'
+            'January 2012</span> </div></th></tr>',
+            '<tr><td>&nbsp;</td><td>&nbsp;</td>'
+            '<td>&nbsp;</td><td>&nbsp;</td>'
+            '<td>&nbsp;</td><td>&nbsp;</td>'
+            '<td class="sun text-right">1</td></tr>',
+            '<tr><td class="mon text-right">2</td><td class="tue text-right">3</td>'
+            '<td class="wed text-right">4</td><td class="thu text-right">5</td>'
+            '<td class="fri text-right">6</td><td class="sat text-right">7</td>'
+            '<td class="sun text-right">8</td></tr>',
+            '<tr class="bg-light"><td class="mon text-right">9</td>'
+            '<td class="tue text-right">10</td><td class="wed text-right">11</td>'
+            '<td class="thu text-right">12</td><td class="fri text-right">13</td>'
+            '<td class="sat text-right">14</td><td class="sun text-right">15</td></tr>',
+            '<tr><td class="mon text-right">16</td><td class="tue text-right">17</td>'
+            '<td class="wed text-right">18</td><td class="thu text-right">19</td>'
+            '<td class="fri text-right">20</td><td class="sat text-right">21</td>'
+            '<td class="sun text-right">22</td></tr>',
+            '<tr><td class="mon text-right">23</td><td class="tue text-right">24</td>'
+            '<td class="wed text-right">25</td><td class="thu text-right">26</td>'
+            '<td class="fri text-right">27</td><td class="sat text-right">28</td>'
+            '<td class="sun text-right">29</td></tr>',
+            '<tr><td class="mon text-right">30</td><td class="tue text-right">31</td>'
+            '<td>&nbsp;</td><td>&nbsp;</td>'
+            '<td>&nbsp;</td><td>&nbsp;</td>'
+            '<td>&nbsp;</td></tr>',
             '</table>', '']
         callines = cal.formatmonth().split('\n')
 
@@ -123,32 +125,34 @@ class FedocalCalendartests(Modeltests):
             self.assertEqual(expcal[cnt], callines[cnt])
 
         expcal = [
-            '<table class="month">',
-            '<tr><th colspan="7" class="month"> January </th></tr>',
-            '<tr><td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="sun">1</td></tr>',
-            '<tr><td class="mon">2</td><td class="tue">3</td>'
-            '<td class="wed">4</td><td class="thu">5</td>'
-            '<td class="fri">6</td><td class="sat">7</td>'
-            '<td class="sun">8</td></tr>',
-            '<tr class="current_week"><td class="mon">9</td>'
-            '<td class="tue">10</td><td class="wed">11</td>'
-            '<td class="thu">12</td><td class="fri">13</td>'
-            '<td class="sat">14</td><td class="sun">15</td></tr>',
-            '<tr><td class="mon">16</td><td class="tue">17</td>'
-            '<td class="wed">18</td><td class="thu">19</td>'
-            '<td class="fri">20</td><td class="sat">21</td>'
-            '<td class="sun">22</td></tr>',
-            '<tr><td class="mon">23</td><td class="tue">24</td>'
-            '<td class="wed">25</td><td class="thu">26</td>'
-            '<td class="fri">27</td><td class="sat">28</td>'
-            '<td class="sun">29</td></tr>',
-            '<tr><td class="mon">30</td><td class="tue">31</td>'
-            '<td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="noday">&nbsp;</td><td class="noday">&nbsp;</td>'
-            '<td class="noday">&nbsp;</td></tr>',
+            '<table class="table table-sm month">',
+            '<tr><th colspan="7"><div class="d-flex align-items-center '
+            'justify-content-between text-center"> <span class="mx-auto">'
+            'January</span> </div></th></tr>',
+            '<tr><td>&nbsp;</td><td>&nbsp;</td>'
+            '<td>&nbsp;</td><td>&nbsp;</td>'
+            '<td>&nbsp;</td><td>&nbsp;</td>'
+            '<td class="sun text-right">1</td></tr>',
+            '<tr><td class="mon text-right">2</td><td class="tue text-right">3</td>'
+            '<td class="wed text-right">4</td><td class="thu text-right">5</td>'
+            '<td class="fri text-right">6</td><td class="sat text-right">7</td>'
+            '<td class="sun text-right">8</td></tr>',
+            '<tr class="bg-light"><td class="mon text-right">9</td>'
+            '<td class="tue text-right">10</td><td class="wed text-right">11</td>'
+            '<td class="thu text-right">12</td><td class="fri text-right">13</td>'
+            '<td class="sat text-right">14</td><td class="sun text-right">15</td></tr>',
+            '<tr><td class="mon text-right">16</td><td class="tue text-right">17</td>'
+            '<td class="wed text-right">18</td><td class="thu text-right">19</td>'
+            '<td class="fri text-right">20</td><td class="sat text-right">21</td>'
+            '<td class="sun text-right">22</td></tr>',
+            '<tr><td class="mon text-right">23</td><td class="tue text-right">24</td>'
+            '<td class="wed text-right">25</td><td class="thu text-right">26</td>'
+            '<td class="fri text-right">27</td><td class="sat text-right">28</td>'
+            '<td class="sun text-right">29</td></tr>',
+            '<tr><td class="mon text-right">30</td><td class="tue text-right">31</td>'
+            '<td>&nbsp;</td><td>&nbsp;</td>'
+            '<td>&nbsp;</td><td>&nbsp;</td>'
+            '<td>&nbsp;</td></tr>',
             '</table>', '']
         callines = cal.formatmonth(withyear=False).split('\n')
 
